| The Gaudi Framework v32r1 (f65d50dc)

Classes | Typedefs | Functions
GaudiAlg Namespace Reference

GaudiAlg.h GaudiAlg/GaudiAlg.h Namespace with definition of useful constants, types and function, common for all classes from GaudiAlg package. More...

## Classes
class | ID
| ID class for Histogram and Ntuples. More...
class | Print
| collection of useful utilities to print IHistogram1D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool) More...
class | Print1D
| collection of useful utilities to print IHistogram1D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool) More...
class | Print1DProf
| collection of useful utilities to print IProfile1D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool) More...
class | Print2D
| collection of useful utilities to print IHistogram1D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool) More...
class | Print2DProf
| collection of useful utilities to print IProfile2D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool) More...
class | Print3D
| collection of useful utilities to print IHistogram1D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool) More...
class | PrintStat
| collection of useful utilities to print StatEntity (currently used for implementation of class GaudiAlgorithm and class GaudiTool) More...
class | PrintTuple
| collection of useful utilities to print INTuple object (currently used for implementation of class GaudiTupleAlg and class GaudiTupleTool) More...

## Typedefs
typedef Histos::HistoID | HistoID
| The actual type for histogram identifier. More...
typedef std::vector< double > | HistoBinEdges
| Type for bin edges for variable binning histograms. More...
typedef GaudiUtils::HashMap< std::string, AIDA::IHistogram1D * > | Histo1DMapTitle
| the actual type for (title)->(1D histogram) map More...
typedef GaudiUtils::HashMap< HistoID, AIDA::IHistogram1D * > | Histo1DMapID
| the actual type for (ID)->(1D histogram) map More...
typedef GaudiUtils::HashMap< std::string, AIDA::IHistogram2D * > | Histo2DMapTitle
| the actual type for (title)->(2D histogram) map More...
typedef GaudiUtils::HashMap< HistoID, AIDA::IHistogram2D * > | Histo2DMapID
| the actual type for (ID)->(2D histogram) map More...
typedef GaudiUtils::HashMap< std::string, AIDA::IHistogram3D * > | Histo3DMapTitle
| the actual type for (title)->(3D histogram) map More...
typedef GaudiUtils::HashMap< HistoID, AIDA::IHistogram3D * > | Histo3DMapID
| the actual type for (ID)->(3D histogram) map More...
typedef GaudiUtils::HashMap< std::string, AIDA::IProfile1D * > | Profile1DMapTitle
| the actual type for (title)->(1D Profile Histogram) map More...
typedef GaudiUtils::HashMap< HistoID, AIDA::IProfile1D * > | Profile1DMapID
| the actual type for (ID)->(1D Profile histogram) map More...
typedef GaudiUtils::HashMap< std::string, AIDA::IProfile2D * > | Profile2DMapTitle
| the actual type for (title)->(2D Profile Histogram) map More...
typedef GaudiUtils::HashMap< HistoID, AIDA::IProfile2D * > | Profile2DMapID
| the actual type for (ID)->(2D Profile histogram) map More...
typedef Tuples::TupleID | TupleID
| the actual type for N-Tuple identifier More...

## Functions
std::ostream & | operator<< (std::ostream &str, const GaudiAlg::ID &id)
| Operator overloading for ostream. More...
std::size_t | hash_value (TupleID const &b)

## Detailed Description

GaudiAlg.h GaudiAlg/GaudiAlg.h Namespace with definition of useful constants, types and function, common for all classes from GaudiAlg package.

Definitions of few useful hash-maps, classes and typedefs used for classes GaudiHistos and GaudiTuples.

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@l.nosp@m.app..nosp@m.in2p3.nosp@m..fr

Date
  2005-08-06

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  2004-01-23

## Typedef Documentation

## ◆ Histo1DMapID

typedef GaudiUtils::HashMap<HistoID, AIDA::IHistogram1D* > GaudiAlg::Histo1DMapID

the actual type for (ID)->(1D histogram) map

Definition at line 59 of file Maps.h.

## ◆ Histo1DMapTitle

typedef GaudiUtils::HashMap<std::string, AIDA::IHistogram1D* > GaudiAlg::Histo1DMapTitle

the actual type for (title)->(1D histogram) map

Definition at line 54 of file Maps.h.

## ◆ Histo2DMapID

typedef GaudiUtils::HashMap<HistoID, AIDA::IHistogram2D* > GaudiAlg::Histo2DMapID

the actual type for (ID)->(2D histogram) map

Definition at line 72 of file Maps.h.

## ◆ Histo2DMapTitle

typedef GaudiUtils::HashMap<std::string, AIDA::IHistogram2D* > GaudiAlg::Histo2DMapTitle

the actual type for (title)->(2D histogram) map

Definition at line 67 of file Maps.h.

## ◆ Histo3DMapID

typedef GaudiUtils::HashMap<HistoID, AIDA::IHistogram3D* > GaudiAlg::Histo3DMapID

the actual type for (ID)->(3D histogram) map

Definition at line 85 of file Maps.h.

## ◆ Histo3DMapTitle

typedef GaudiUtils::HashMap<std::string, AIDA::IHistogram3D* > GaudiAlg::Histo3DMapTitle

the actual type for (title)->(3D histogram) map

Definition at line 80 of file Maps.h.

## ◆ HistoBinEdges

typedef std::vector<double> GaudiAlg::HistoBinEdges

Type for bin edges for variable binning histograms.

Definition at line 31 of file HistoID.h.

## ◆ HistoID

typedef Histos::HistoID GaudiAlg::HistoID

The actual type for histogram identifier.

Definition at line 29 of file HistoID.h.

## ◆ Profile1DMapID

typedef GaudiUtils::HashMap<HistoID, AIDA::IProfile1D* > GaudiAlg::Profile1DMapID

the actual type for (ID)->(1D Profile histogram) map

Definition at line 98 of file Maps.h.

## ◆ Profile1DMapTitle

typedef GaudiUtils::HashMap<std::string, AIDA::IProfile1D* > GaudiAlg::Profile1DMapTitle

the actual type for (title)->(1D Profile Histogram) map

Definition at line 93 of file Maps.h.

## ◆ Profile2DMapID

typedef GaudiUtils::HashMap<HistoID, AIDA::IProfile2D* > GaudiAlg::Profile2DMapID

the actual type for (ID)->(2D Profile histogram) map

Definition at line 111 of file Maps.h.

## ◆ Profile2DMapTitle

typedef GaudiUtils::HashMap<std::string, AIDA::IProfile2D* > GaudiAlg::Profile2DMapTitle

the actual type for (title)->(2D Profile Histogram) map

Definition at line 106 of file Maps.h.

## ◆ TupleID

typedef Tuples::TupleID GaudiAlg::TupleID

the actual type for N-Tuple identifier

Definition at line 30 of file TupleID.h.

## Function Documentation

## ◆ hash_value()

std::size_t GaudiAlg::hash_value | ( | TupleID const & | b | ) |
| inline

Definition at line 31 of file TupleID.h.

31 { return b.hash(); }

## ◆ operator<<()

std::ostream& GaudiAlg::operator<< | ( | std::ostream & | str,
|  | const GaudiAlg::ID & | id
| ) |  |
| inline

Operator overloading for ostream.

Definition at line 132 of file GaudiHistoID.h.

132 { return id.fillStream( str ); }